%function cl=cp(data,lvl,ml)
% 	data:	2D spectrum
%	lvl:	first contour level to the maximum 
%	ml:	exponential multplication factor
%	cl:	returned contour level (a contour plot is also made)

function cl=cp(data,lvl,ml)
n=-log(lvl)/log(ml);
cl=max(max(real(data)))*lvl*ml.^(0:1:n+1);

