% function [fid np sfrq dw] = tread(fname)
%	bread.m - read data from TECMAG files
%		fname:	file name
%		fid:		data returned 

function [fid,np,np1,sfrq,dw]=tread(fname);

f=fopen(fname,'r','b');
np1=fread(f,1,'int32');
fseek(f,50,'bof');
np=fread(f,1,'int32');
fseek(f,162,'bof');
sfrq=fread(f,1,'double');
fseek(f,178,'bof');
dw=fread(f,1,'double');
fseek(f,2048,'bof');
fid=fread(f,2*np*np1,'float');
fid=reshape(fid,2,np*np1);
fid=fid(1,:)+i*fid(2,:);
fid=conj(fid');
fid=reshape(fid,np,np1);


