% function data = em(fid,lb,sw)
%	fid:	1D or 2D data
%	lb:	linewidth at half height in Hertz
%	sw:	spectral width in Hz
% comments: always apply along columns

  function data = em(fid,lb,sw)
  [m n]=size(fid);
  data=fid.*(exp(-(0:1:m-1)'/sw*lb*pi)*ones(1,n));
